Skip to main content
`Ctrl`+`K`

# DMPlexCreateRigidBody

For the default global section, create rigid body modes by function space interpolation

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexCreateRigidBody(DM dm, PetscInt field, MatNullSpace *sp)

Collective

## Input Parameters

- dm - the `DM`

- field - The field number for the rigid body space, or 0 for the default

## Output Parameter

- sp - the null space

## Note

This is necessary to provide a suitable coarse space for algebraic multigrid

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `MatNullSpaceCreate()`, `PCGAMG`

## Level

advanced

## Location

src/dm/impls/plex/plexfem.c

## Examples

src/snes/tutorials/ex77.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex56.c
src/ts/tutorials/ex53.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages